Bug 243967 - gethostbyname_r generates alignment errors under g++
gethostbyname_r generates alignment errors under g++
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.0
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 00:48 EDT by Tim Potter
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0619
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 13:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program (784 bytes, text/x-csrc)
2007-06-13 00:48 EDT, Tim Potter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 4381 None None None Never

  None (edit)
Description Tim Potter 2007-06-13 00:48:14 EDT
Description of problem:

The small test program, attached, simply calls gethostname() then
gethostbyname_r() to return the FQDN for the host.  It produces an ia64 aligned
access error when compiled under gcc, but not under g++.

Version-Release number of selected component (if applicable):

RHEL5 installed from RHEL5-Server-20070208.0-ia64 ISO images
glibc-2.5-12
gcc-4.1.1-52.el5
gcc-c++-4.1.1-52.el5

How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

[tpot@harland ~]$ gcc -o gethostbyname_r gethostbyname_r.c -g
[tpot@harland ~]$ ./gethostbyname_r
harland.cao.cpqcorp.net

[tpot@harland ~]$ g++ -o gethostbyname_r gethostbyname_r.c -g
[tpot@harland ~]$ ./gethostbyname_r
gethostbyname_r(10905): unaligned access to 0x60000ffffe3c174f,
ip=0x20000000005cdf01
gethostbyname_r(10905): unaligned access to 0x60000ffffe3c1757,
ip=0x20000000005cdf10
gethostbyname_r(10905): unaligned access to 0x60000ffffe3c173f,
ip=0x20000000005fe6f0
gethostbyname_r(10905): unaligned access to 0x60000ffffe3c18cf,
ip=0x20000000005fe711
gethostbyname_r(10905): unaligned access to 0x60000ffffe3c18cf,
ip=0x20000000005febd0
harland.cao.cpqcorp.net

Expected results:


Additional info:
Comment 1 Tim Potter 2007-06-13 00:48:14 EDT
Created attachment 156845 [details]
Test program
Comment 3 RHEL Product and Program Management 2007-06-13 06:13:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jakub Jelinek 2007-06-18 07:22:02 EDT
You can try http://people.redhat.com/jakub/glibc/2.5-16.1/ (not gone through QA
yet, so please use it for testing only).
Comment 6 Tim Potter 2007-06-18 20:38:11 EDT
Thanks Jakub.  Installing the new version of glibc fixes the problem.
Comment 10 errata-xmlrpc 2007-11-07 13:33:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0619.html

Note You need to log in before you can comment on or make changes to this bug.